[Lsb-messages] /var/www/bzr/lsb/devel/misc-test r2309: Fix package dependency issues (bug 3656)

Stew Benedict stewb at linux-foundation.org
Tue Oct 16 14:17:02 UTC 2012


------------------------------------------------------------
revno: 2309
committer: Stew Benedict <stewb at linux-foundation.org>
branch nick: misc-test
timestamp: Tue 2012-10-16 10:17:02 -0400
message:
  Fix package dependency issues (bug 3656)
modified:
  package/Makefile
  package/lsb-check.spec.sed
-------------- next part --------------
=== modified file 'package/Makefile'
--- a/package/Makefile	2012-10-03 16:56:19 +0000
+++ b/package/Makefile	2012-10-16 14:17:02 +0000
@@ -20,7 +20,7 @@
 
 # We define this here instead of directly in the spec file as
 # we need to be able to work out what the produced rpm files will be called
-RPM_PACKAGE_RELEASE=1
+RPM_PACKAGE_RELEASE=2
 
 # Derive date string for daily snapshots
 ISO_DATE:=$(shell date +"%Y%m%d")

=== modified file 'package/lsb-check.spec.sed'
--- a/package/lsb-check.spec.sed	2012-09-25 16:45:12 +0000
+++ b/package/lsb-check.spec.sed	2012-10-16 14:17:02 +0000
@@ -29,6 +29,9 @@
 built, it only provides the name for the source package.
 
 %package -n lsb-libchk
+Requires: lsb-setup
+Requires: lsb >= 3.1
+AutoReqProv: no
 Summary: LSB library checker tool
 Group: Development/Tools
 %description -n lsb-libchk
@@ -39,6 +42,9 @@
 checking either the runtime LSB environment or the LSB build environment.
 
 %package -n lsb-appchk
+Requires: lsb-setup
+Requires: lsb >= 3.1
+AutoReqProv: no
 Summary: low-level LSB application checker tool
 Group: Development/Tools
 
@@ -51,6 +57,9 @@
 lsb-app-checker is a higher-level interface which calls lsbappchk.
 
 %package -n lsb-cmdchk
+Requires: lsb-setup
+Requires: lsb >= 3.1
+AutoReqProv: no
 Summary: LSB command checking tool
 Group: Development/Tools
 
@@ -60,6 +69,9 @@
 behaviour of those commands.
 
 %package -n lsb-pkgchk
+Requires: lsb-setup
+Requires: lsb >= 3.1
+AutoReqProv: no
 Summary: LSB package checking tool
 Group: Development/Tools
 
@@ -70,6 +82,9 @@
 level interface which may call lsbpkgchk.
 
 #%package -n lsb-archk
+#Requires: lsb-setup
+#Requires: lsb >= 3.1
+#AutoReqProv: no
 #Summary: LSB Archive Checking tool
 #Group: Development/Tools
 
@@ -80,6 +95,9 @@
 #which are to be linked as part of the final link-edit.
 
 %package -n lsb-dynchk
+Requires: lsb-setup
+Requires: lsb >= 3.1
+AutoReqProv: no
 Summary: LSB Dynamic Application Checking tool
 Group: Development/Tools
 



More information about the lsb-messages mailing list